This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 134527 - pdksh incompatibility with ksh
pdksh incompatibility with ksh
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pdksh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 09:41 EDT by John Ellson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 08:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2004-10-04 09:41:42 EDT
Description of problem:
In ksh, the following is supported:
  A=(a b c)
  for x in ${A[@]};do echo $x;done
but in pdksh, the '(" results in the error:
  ksh: syntax error: `(' unexpected

Version-Release number of selected component (if applicable):
pdksh-5.2.14-30

How reproducible:
100%

Steps to Reproduce:
1.ksh
2.A=(a b c)
3.
  
Actual results:
ksh: syntax error: `(' unexpected

Expected results:
set array A with no syntax error

Additional info:
Comment 1 Karsten Hopp 2004-10-05 08:32:33 EDT
This is one of the incompatibilities between pdksh and your (AT&T's)
ksh which will be fixed by the upstream pdksh maintainers in the next
release. Until then I'd suggest using the original AT&T ksh, I can
provide you with a SRPM which just needs to be recompiled with rpm
--rebuild.
Comment 2 John Ellson 2004-10-05 09:12:42 EDT
Thanks for the offer, but no need.  I just wanted to be sure that the
bug was on record.

Note You need to log in before you can comment on or make changes to this bug.